### Name: mtest
### Title: The M-test: Judging the Reliability of the Gamma Statistic
### Aliases: mtest
### Keywords: ts

### ** Examples

# Example on an AR(1) process
ts.sim  <- arima.sim(500, model=list(ar=0.9), sd=sqrt(1))
ts.io   <- mask2input(1, as.matrix(ts.sim)) # Create input/output dataset
mt              <- mtest(ts.io)

# Noisy Sine wave example
x <- seq(length=500, from=-2*pi, to=2*pi)
y <- sin(x) + rnorm(500, sd=sqrt(0.075)) # Set the variance of the noise to 0.075.
xy <- data.frame(x,y)                    # Create an input/output dataset.
mt <- mtest(xy)



